.popup {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #000000CC;
  opacity: 0;
  visibility: hidden;
  z-index: 99;
  transition: all .5s ease;
}

.popup--active {
  opacity: 1;
  visibility: visible;
}

.popup__body {
  min-height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 20px 10px;
}

.popup__content {
  background-color: #fff;
  max-width: 75rem;
  width: 100%;
  padding: 4rem;
  padding-top: 6.5rem;
  padding-bottom: 5rem;
  border-radius: 0.5rem;
  position: relative;
  transform: translateY(-100%);
  transition: all .5s ease;
}

.popup--active .popup__content {
  transform: translateY(0);
}

.popup__close {
  position: absolute;
  width: 3rem;
  height: 3rem;
  top: 1rem;
  right: 1rem;
  cursor: pointer;
}

.popup-top {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 2.5rem;
}

.popup-form {
  margin-top: 1.5rem;
  display: flex;
  flex-direction: column;
  gap: 3.5rem;
}

.popup-form__title {
  font-size: 4rem;
  font-style: normal;
  font-weight: 600;
  line-height: normal;
}

.popup-form__text {
  display: flex;
  align-items: center;
}

.popup-form__text.t-center {
  max-width: 50rem;
  margin: 0 auto;
}

.popup-form__text,
.popup-form__text a {
  font-size: 2.2rem;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
}

.popup-form__text a {
  color: var(--orange);
}

.popup-form__text-img {
  width: 2.4rem;
  height: 2.4rem;
  margin-right: 1.5rem;
}

.popup-form__top {
  display: flex;
  flex-direction: column;
  gap: 2rem;
}

.popup-form__bottom {
  display: flex;
  flex-direction: column;
  gap: 1.5rem;
}

.hide-input {
  display: none;
}

@media (max-width: 1024px) {
  .popup__content {
    max-width: 70rem;
    padding: 4rem 3rem;
  }

  .popup-top {
    gap: 1.5rem;
  }

  .popup-form__title {
    font-size: 3.2rem;
  }

  .popup-form__text.t-center {
    max-width: 42rem;
  }

  .popup-form__text,
  .popup-form__text a {
    font-size: 1.8rem;
  }

  .popup-form {
    gap: 3rem;
  }

  .popup-form__top {
    gap: 1.5rem;
  }
}

@media (max-width: 767px) {
  .popup__content {
    max-width: 35rem;
    padding: 3rem 1.5rem;
  }

  .popup__close {
    width: 2rem;
    height: 2rem;
  }

  .popup-top {
    gap: 1rem;
  }

  .popup-form__title {
    font-size: 2.4rem;
  }

  .popup-form__text {
    display: inline;
  }

  .popup-form__text,
  .popup-form__text a {
    font-size: 1.4rem;
  }

  .popup-form__text-img {
    width: 1.3rem;
    height: 1.3rem;
    margin-right: 0.5rem;
  }
}